Bug 20167 - linux ks -> eth1
linux ks -> eth1
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-01 18:19 EST by R. Pao
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-27 12:16:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R. Pao 2000-11-01 18:19:36 EST
I have two Ethernet NICs in the system.  I boot with /images/bootnet.img. 
At the dialog asking if I want to use eth0 or eth1, I choose eth1.  VC3
shows the following:

"* kickstarting through device eth0
* sending dhcp request through device eth0
*pump told us: No DHCP reply received"

Choosing eth0 also results in an attempt to kickstart through eth0.

There appears to be no way to kickstart from eth1.


Another way to address this issue is the following:

/images/bootnet.img detects the following:
eth0 = Intel eepro100
eth1 = 3Com 3c59x
 
I want to the following:
eth0 = 3Com 3c59x
eth1 = Intel eepro100

The 3Com is a PCI card connected to the department LAN.  It will later be a
wireless card.  The Intel side is a small dumb test network with no servers
(RedHat will be the server).
Comment 1 Michael Fulbright 2000-11-03 15:05:42 EST
Passing to QA to verify.
Comment 2 Brock Organ 2000-11-06 15:16:48 EST
does modifying your network line in your kickstart file (as below) help:

network --bootproto dhcp --device eth1
Comment 3 R. Pao 2000-11-06 23:42:26 EST
The manual says that --device eth1 would only work with "linux ks=floppy".

I tried it anyway, and the dialog box still asks for eth0 or eth1.  I choose eth1.  VC3 shows eth0 is being used, but dhcp request now goes through eth1.  
VC3 shows "* ks server: 192.168.4.1:/.../KsFloppy file: ks-nfs.cfg" which is as configured in the DHCP server.  VC3 loads the Ethernet modules and 
says
"* kickstarting through device eth0
* sending dhcp request through device eth1
* nodns is 0
* mounting nfs path host:/mnt/cdrom/RedHat
* pump told us: No DHCP reply received"
Comment 4 R. Pao 2000-11-06 23:59:01 EST
I forgot to mention, I had to go through dialog screens about language and installing from NFS image and using DHCP on VC1.  It was like it didn't read 
the ks-nfs.cfg file.
Comment 5 Brock Organ 2000-12-04 15:28:08 EST
hmmm ... I am unable to reproduce that behavior here in test ... Using both a
eepro100 and ec59x NIC, with the line in the ks file:

network --bootproto dhcp --device eth1

I was not presented w/a dialog box asking which device (eth0 or eth1) ...

what was your syslinux command line ...? Can you attach your ks.cfg file used ...?
Comment 6 Michael Fulbright 2000-12-27 12:16:10 EST
Closing due to inactivity.
Comment 7 R. Pao 2000-12-27 15:02:18 EST
# ks.cfg -- RedHat 7.0 Kickstart for CellNet IH

# Wed Nov  1 12:49:34 PST 2000
# Roger C. Pao <rpao@corder-eng.com>


### Language Specification
#lang ru_RU.KOI8-R 
lang en_US

### Network Configuration
network --bootproto dhcp --device eth1
#network --bootproto static --ip 192.168.0.1 --netmask 255.255.254.0 --gateway 192.168.0.1 --nameserver 192.168.0.254 

### Source File Location
#cdrom
nfs --server cec.corder-eng.com --dir /mnt/cdrom
# nfs requires DHCP server to set the following:
#   filename "/home/rpao/proj/gaylor/gaylor_distribution/inst/KsFloppy/ks-nfs.cfg"
#   next-server cec.corder-eng.com

### Ethernet Device Configuration
#device ethernet wd --opts "io=0x280, irq=3" 
#device ethernet 3c59x --continue
device ethernet 3c59x
device ethernet eepro100

### Keyboard Configuration
### Will get set to 'us' by default 
### if nothing specified in /etc/sysconfig/keyboard
keyboard us

### Partitioning Information
### Whether to clear out the Master Boot Record (yes/no)
### Which partitions to format (--linux/--all)
###      --linux - only format existing linux partitions
###      --all   - format all existing partitions
### Which partitions to set up on new system as well 
### as size of those partitions
zerombr yes
clearpart --all
part /boot --size 16
part swap --size 127
#part / --size 1000 --grow --maxsize 1400
part / --size 1000 --grow 
#part raid.0 --size 80
#part raid.1 --size 80
#raid swap raid.0 raid.1 --level 1 --device md0
install

### Mouse Configuration
### Will only setup 3 types of mice
###     generic        - 2-button serial
###     genericps/2    - 2-button ps/2
###     msintellips/2  - MS Intellimouse
### All three can be setup with or without 3-button
### emulation
### Run 'mouseconfig --help' in order to see other
### supported mouse type and make appropriate change
### NOTE: You will need to run 'mouseconfig' manually
### after installation if you have a non-ps/2 mouse
### and are installing X, as a ps/2 mouse is setup
### by default
#mouse generic --device ttyS0
mouse generic3ps/2

### Time Zone Configuration
### Will get set to 'US/Eastern' if ZONE is missing
### from /etc/sysconfig/clock or if file is missing entirely
timezone --utc US/Pacific

### X Configuration
### Will set up system for minimal resolution and color depth;
### may wish to run Xconfigurator manually after system installation
#xconfig --server "SVGA" --monitor "viewsonic g773"

### Root Password Designation
### '--iscrypted' does not work properly with release 6.1 as shipped;
### will need to get updates from http://support.redhat.com/errata
### in order for this to work correctly; can also just specify
### root password in plain text and change it after system installation;
### e.g. 'rootpw ThisIsThePassword' will get root's password to
### "ThisIsThePassword"
#rootpw --iscrypted $1$bL5E0SIq$GL9YkWfQu9kXGAIhEtRTu0
rootpw "Cec123"

### Authorization Configuration
auth --useshadow --enablemd5
#auth --enablemd5

### Lilo Configuration
### Does not support pulling kernel 'append' arguments, but those
### can be added into config file using '--append' argument;
### e.g. 'lilo --append "mem=128M" --location mbr' will put the
### memory argument in the /etc/lilo.conf file at install
lilo --location mbr
#lilo --location none

### Package Designation
### The package names, as well as the groups they are a part of can be
### found in the /RedHat/base/comps file; individual packages can be
### specified by entering their names one per line;
### groups (e.g. 'X Window System') can be specified
### by appending a "@" in front of the group name;
### e.g. '@ X Window System'
%packages
@ Base
lynx
@ DOS/Windows Connectivity
@ NFS Server
@ Web Server
@ SQL Server
ppp
minicom
lrzsz

### Commands To Be Run Post-Installation
%post
echo "This is in the chroot" > /tmp/message

Note You need to log in before you can comment on or make changes to this bug.